AddDefaultCharsetFilter.ResponseWrapper (Apache Tomcat 9.0.107 API Documentation)
Description: declaration: package: org.apache.catalina.filters, class: AddDefaultCharsetFilter, class: ResponseWrapper

# Class AddDefaultCharsetFilter.ResponseWrapper

java.lang.Object
javax.servlet.ServletResponseWrapper
javax.servlet.http.HttpServletResponseWrapper
org.apache.catalina.filters.AddDefaultCharsetFilter.ResponseWrapper

All Implemented Interfaces:
  `HttpServletResponse`, `ServletResponse`

Enclosing class:
  `AddDefaultCharsetFilter`

public static class AddDefaultCharsetFilter.ResponseWrapper extends HttpServletResponseWrapper
Wrapper that adds a character set for text media types if no character set is specified.

- ## Field Summary

  ### Fields inherited from interface javax.servlet.http.HttpServletResponse

  `SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseWrapper(HttpServletResponse response, String encoding)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addHeader(String name, String value)`
  The default behavior of this method is to return addHeader(String name, String value) on the wrapped response object.
  `void`
  `setCharacterEncoding(String charset)`
  The default behavior of this method is to call setCharacterEncoding(String charset) on the wrapped response object.
  `void`
  `setContentType(String contentType)`
  The default behavior of this method is to call setContentType(String type) on the wrapped response object.
  `void`
  `setHeader(String name, String value)`
  The default behavior of this method is to return setHeader(String name, String value) on the wrapped response object.

  ### Methods inherited from class javax.servlet.http.HttpServletResponseWrapper

  `addCookie, addDateHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, getHeader, getHeaderNames, getHeaders, getStatus, getTrailerFields, sendError, sendError, sendRedirect, setDateHeader, setIntHeader, setStatus, setStatus, setTrailerFields`

  ### Methods inherited from class javax.servlet.ServletResponseWrapper

  `flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getResponse, getWriter, isCommitted, isWrapperFor, isWrapperFor, reset, resetBuffer, setBufferSize, setContentLength, setContentLengthLong, setLocale, setResponse`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface javax.servlet.ServletResponse

  `flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setContentLength, setContentLengthLong, setLocale`

- ## Constructor Details

  - ### ResponseWrapper

    public ResponseWrapper(HttpServletResponse response, String encoding)

- ## Method Details

  - ### setContentType

    public void setContentType(String contentType)
    Description copied from class: `javax.servlet.ServletResponseWrapper`
    The default behavior of this method is to call setContentType(String type) on the wrapped response object.
    Specified by:
      `setContentType` in interface `ServletResponse`
    Overrides:
      `setContentType` in class `ServletResponseWrapper`
    Parameters:
      `contentType` - a `String` specifying the MIME type of the content
    See Also:
      - `ServletResponse.setLocale(java.util.Locale)`
      - `ServletResponse.setCharacterEncoding(java.lang.String)`
      - `ServletResponse.getOutputStream()`
      - `ServletResponse.getWriter()`

  - ### setHeader

    public void setHeader(String name, String value)
    Description copied from class: `javax.servlet.http.HttpServletResponseWrapper`
    The default behavior of this method is to return setHeader(String name, String value) on the wrapped response object.
    Specified by:
      `setHeader` in interface `HttpServletResponse`
    Overrides:
      `setHeader` in class `HttpServletResponseWrapper`
    Parameters:
      `name` - the name of the header
      `value` - the header value If it contains octet string, it should be encoded according to RFC 2047 (http://www.ietf.org/rfc/rfc2047.txt)
    See Also:
      - `HttpServletResponse.containsHeader(java.lang.String)`
      - `HttpServletResponse.addHeader(java.lang.String, java.lang.String)`

  - ### addHeader

    public void addHeader(String name, String value)
    Description copied from class: `javax.servlet.http.HttpServletResponseWrapper`
    The default behavior of this method is to return addHeader(String name, String value) on the wrapped response object.
    Specified by:
      `addHeader` in interface `HttpServletResponse`
    Overrides:
      `addHeader` in class `HttpServletResponseWrapper`
    Parameters:
      `name` - the name of the header
      `value` - the additional header value If it contains octet string, it should be encoded according to RFC 2047 (http://www.ietf.org/rfc/rfc2047.txt)
    See Also:
      - `HttpServletResponse.setHeader(java.lang.String, java.lang.String)`

  - ### setCharacterEncoding

    public void setCharacterEncoding(String charset)
    Description copied from class: `javax.servlet.ServletResponseWrapper`
    The default behavior of this method is to call setCharacterEncoding(String charset) on the wrapped response object.
    Specified by:
      `setCharacterEncoding` in interface `ServletResponse`
    Overrides:
      `setCharacterEncoding` in class `ServletResponseWrapper`
    Parameters:
      `charset` - a String specifying only the character set defined by IANA Character Sets (http://www.iana.org/assignments/character-sets)
    See Also:
      - #setLocale